## game-data-packager 64

=== Makefile ===
-include configure.mk

pkgdatadir := ${gamedatadir}/game-data-packager
runtimedir := ${gamedatadir}/game-data-packager-runtime
PYFLAKES3 := $(shell if [ -x /usr/bin/pyflakes3 ] ;  then echo pyflakes3 ; \
                   elif [ -x /usr/bin/pyflakes3k ] ; then echo pyflakes3k ; \
                   elif [ -x /usr/bin/python3-pyflakes ] ; then echo python3-pyflakes ; \
                   elif [ -x /usr/bin/pyflakes-3 ] ; then echo /usr/bin/pyflakes-3 ; \
                   else ls -1 /usr/bin/pyflakes-python3.* | tail -n 1 ; \
                    fi)

png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
# We deliberately don't compress and install memento-mori{,-2}.svg because
# they use features that aren't supported by librsvg, so they'd look wrong
# in all GTK-based environments.
svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
in_yaml   := $(wildcard ./data/*.yaml)
test_yaml   := $(wildcard ./tests/data/*.yaml)
json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
json_from_tests := $(patsubst ./tests/data/%.yaml,./out/tests/vfs/%.json,$(test_yaml))
copyright := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.copyright) ./data/copyright)
dot_in    := $(patsubst ./data/%,./out/%,$(wildcard ./data/*.in))
desktop   := $(patsubst ./runtime/%.in,./out/%,$(wildcard ./runtime/*.desktop.in))

launcher_json := $(patsubst ./runtime/launch-%.yaml.in,./out/launch-%.json,$(wildcard ./runtime/launch-*.yaml.in))
launcher_desktops := \
	out/unreal.desktop \
	out/unreal-gold.desktop \
	out/ut99.desktop \
	$(NULL)

quake_layer_sizes = 16 22 32 48 256

quake_icons = \
	out/24/quake.png \
	out/24/quake-armagon.png \
	out/24/quake-dissolution.png \
	out/24/quake2.png \
	out/24/quake2-reckoning.png \
	out/24/quake2-groundzero.png \
	out/24/quake4.png \
	out/quake.svg \
	out/quake-armagon.svg \
	out/quake-dissolution.svg \
	out/quake2.svg \
	out/quake2-reckoning.svg \
	out/quake2-groundzero.svg \
	out/256/quake3.png \
	out/256/quake3-team-arena.png \
	out/quake4.svg \
	out/48/quake3.png \
	out/48/quake3-team-arena.png \
	$(patsubst %,out/%/quake.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)) \
	$(patsubst %,out/%/quake4.png,$(quake_layer_sizes)) \
	$(NULL)

all: $(png) $(svgz) $(json_from_data) $(launcher_json) \
      $(copyright) $(dot_in) $(desktop) $(quake_icons) \
      $(json_from_tests) \
      out/bash_completion out/changelog.gz \
      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
      out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright

configure.mk: configure game_data_packager/version.py
	./config.status

out/CACHEDIR.TAG:
	@mkdir -p out
	( echo "Signature: 8a477f597d28d17""2789f06886806bc55"; \
	echo "# This file marks this directory to not be backed up."; \
	echo "# For information about cache directory tags, see:"; \
	echo "#	http://www.brynosaurus.com/cachedir/" ) > $@

$(copyright) $(dot_in): out/%: data/% out/CACHEDIR.TAG
	if [ -L $< ]; then cp -a $< $@ ; else install -m644 $< $@ ; fi

$(json_from_data): out/vfs/%.json: data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/vfs
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@

$(json_from_tests): out/tests/vfs/%.json: tests/data/%.yaml tools/compile_yaml.py out/CACHEDIR.TAG
	@mkdir -p out/tests/vfs
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/compile_yaml.py $< $@

out/vfs.zip: $(json_from_data)
	rm -f $@
	chmod 0644 out/vfs/*
	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
		touch --date='@$(SOURCE_DATE_EPOCH)' out/vfs/*; \
	fi
	cd out/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/tests/vfs.zip: $(json_from_tests)
	rm -f $@
	chmod 0644 out/tests/vfs/*
	if [ -n "$(SOURCE_DATE_EPOCH)" ]; then \
		touch --date='@$(SOURCE_DATE_EPOCH)' out/tests/vfs/*; \
	fi
	cd out/tests/vfs && ls -1 | LC_ALL=C sort | \
		env TZ=UTC zip ../vfs.zip -9 -X -q -@

out/bash_completion: $(in_yaml) out/CACHEDIR.TAG
	$(PYTHON) tools/bash_completion.py > ./out/bash_completion
	chmod 0644 ./out/bash_completion

out/changelog.gz: debian/changelog out/CACHEDIR.TAG
	gzip -nc9 debian/changelog > ./out/changelog.gz
	chmod 0644 ./out/changelog.gz

out/tests/changelog.gz out/tests/copyright: out/tests/%: out/%
	@mkdir -p out/tests
	cp -a $< $@

out/game-data-packager: run out/CACHEDIR.TAG
	install run out/game-data-packager

$(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ $<

out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<

out/memento-mori.png: out/memento-mori.svg
	inkscape --export-png=$@ -w96 -h96 $<

$(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
	convert $< $@

$(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
	inkscape --export-png=$@ -w96 -h96 $<

$(svgz): out/%.svgz: out/%.svg
	gzip -nc $< > $@

out/quake.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake.svg
	rm -f out/tmp/quake.svg

out/quake-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake-$*.svg
	rm -f out/tmp/quake-$*.svg

out/quake2.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2.svg
	rm -f out/tmp/quake2.svg

out/quake4.svg: data/quake1+2.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake4.svg
	rm -f out/tmp/quake4.svg

out/quake2-%.svg: out/tmp/recolour-%.svg out/CACHEDIR.TAG
	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
	inkscape \
		--export-area-page \
		--export-plain-svg=$@ \
		out/tmp/quake2-$*.svg
	rm -f out/tmp/quake2-$*.svg

out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	# fallback, result is similar, yet different
	if command -v xcf2png > /dev/null ; then \
	  xcf2png -o $@ $< ;\
	else \
	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
	install -d out/256
	if command -v xcf2png > /dev/null ; then \
          xcf2png -o $@ $< ;\
	else \
          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
	fi

out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/48/quake3-team-arena.png: out/256/quake3-team-arena.png out/CACHEDIR.TAG
	install -d out/48
	convert -resize 48x48 $< $@

out/tmp/recolour-dissolution.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#999984/' \
		-e 's/#d5b582/#dede95/' \
		-e 's/#5f3b01/#403f31/' \
		-e 's/#e9b96e/#dede95/' \
		< $< > $@

out/tmp/recolour-armagon.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#c17d11/#565248/' \
		-e 's/#d5b582/#aba390/' \
		-e 's/#5f3b01/#000000/' \
		-e 's/#e9b96e/#aba390/' \
		< $< > $@

out/tmp/recolour-reckoning.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#999984/' \
		-e 's/#73ae3a/#eeeeec/' \
		-e 's/#8ae234/#eeeeec/' \
		-e 's/#132601/#233436/' \
		< $< > $@

out/tmp/recolour-groundzero.svg: data/quake1+2.svg Makefile out/CACHEDIR.TAG
	install -d out/tmp
	sed -e 's/#3a5a1e/#ce5c00/' \
		-e 's/#73ae3a/#fce94f/' \
		-e 's/#8ae234/#fce94f/' \
		-e 's/#132601/#cc0000/' \
		< $< > $@

out/24/quake.png: out/22/quake.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake-%.png: out/22/quake-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2.png: out/22/quake2.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake4.png: out/22/quake4.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

out/24/quake2-%.png: out/22/quake2-%.png out/CACHEDIR.TAG
	install -d out/24
	convert -bordercolor Transparent -border 1x1 $< $@

$(patsubst %,out/%/quake.png,$(quake_layer_sizes)): out/%/quake.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:32:32 \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-32 \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake4-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
	install -d out/$*
	inkscape \
		--export-area=0:0:$*:$* \
		--export-width=$* \
		--export-height=$* \
		--export-id=layer-quake2-$* \
		--export-id-only \
		--export-png=$@ \
		$<

$(launcher_json): out/launch-%.json: out/launch-%.yaml
	PYTHONPATH=$(CURDIR) $(PYTHON) tools/yaml2json.py $< $@

$(desktop) $(patsubst %.json,%.yaml,$(launcher_json)): out/%: runtime/%.in out/CACHEDIR.TAG
	PYTHONPATH=. $(PYTHON) tools/expand_vars.py $< $@

clean:
	rm -fr out

=== debian/changelog ===
game-data-packager (64) unstable; urgency=medium

  * New games:
    - system-shock: add the CD-ROM version of System Shock [skitt]
  * New languages and versions:
    - Update quake2-reckoning-data (xatrix) to 2.07 and
      quake2-groundzero-data (rogue) to 2.06, corresponding to
      yamagi-quake2 7.41 [smcv]
    - Doom 1: SIGIL, brand new map by Romero [adetiste]
    - Compet-N: add Hell Revealed II and Scythe [fabian]
    - Jazz Jackrabbit: add support for original CD release by splitting
      Holiday Hare '95 into a separate package [Ryan Armstrong]
    - Morrowind: add support for original CD release [Ryan Armstrong]
  * Bug fixes:
    - Compet-N: list the included levels [fabian]
    - Day of the Tentacle: install monster.sof as monster.sof,
      not as monster.sou [Ryan Armstrong]
    - Doom series: improve .desktop file generation [fabian]
    - Jazz Jackrabbit: recommend openjazz engine [adetiste]
    - Unreal: Stop switching to windowed mode for new installations.
      This is contrary to Games Team policy, but avoids a bug in the
      proprietary game engine that can result in the mouse pointer getting
      stuck in one corner of the window (Closes: #941381) [smcv]
  * Internal changes:
    - AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
      [smcv]
    - AppArmor: Rename AppArmor profiles to decouple the name from the
      attachment, as per
      https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
      [smcv]
    - unreal, ut99 AppArmor profiles: Sync up with quake4 [smcv]
    - Move all AppArmor profiles to ./etc/apparmor.d [smcv]
    - AppArmor: Combine quake4 and quake4smp profiles [smcv]
    - d/salsa-ci.yml: Request standard CI on salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.4.1 [smcv]
    - Add pyflakes-3 as a possible name for pyflakes [adetiste]
    - Use debhelper-compat 12 [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2019 09:39:37 +0000

=== debian/control ===
Source: game-data-packager
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <alexandre.detiste@gmail.com>,
 David Banks <amoebae@gmail.com>,
 Jack Coulter <jscinoz@gmail.com>,
 Jonathan Dowland <jmtd@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 bash-completion,
 dbus,
 debhelper-compat (= 12),
 dh-apparmor,
 dh-python,
 imagemagick,
 inkscape,
 pyflakes3 | pyflakes (<< 1.1.0),
 python3,
 python3-debian,
 python3-yaml,
 xcftools,
 xmlstarlet,
 zip,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
Homepage: https://wiki.debian.org/Games/GameDataPackager

Package: game-data-packager
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 dpkg (>= 1.19.0) | fakeroot,
 python3-debian,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 game-data-packager-runtime (>= ${source:Version}),
Suggests:
 arj,
 binutils,
 cabextract,
 cdparanoia,
 dynamite (>= 0.1.1-2),
 gcc,
 gdebi | gdebi-kde,
 gir1.2-gdkpixbuf-2.0,
 innoextract (>= 1.5),
 lgc-pg,
 lgogdownloader,
 lhasa | jlha-utils | lzh-archiver,
 make,
 p7zip-full,
 python3-gi,
 steam,
 steamcmd,
 unace-nonfree,
 unar,
 unrar,
 unshield,
 unzip,
 vorbis-tools,
 xdelta,
 xdelta3,
Breaks:
 game-data-packager-runtime (<< ${source:Version}),
 lgogdownloader (<< 2.26-1~),
Architecture: all
Multi-Arch: foreign
Description: Installer for game data files
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 game-data-packager is a tool which builds .deb files for game
 data which cannot be distributed in Debian (such as
 commercial game data).
 .
 At the moment, game-data-packager has support for building .deb
 files for:
 .
  * 3 Skulls of the Toltecs
  * A Mind Forever Voyaging
  * Amazon: Guardians of Eden
  * Arthur: the Quest for Excalibur
  * Arx Fatalis
  * Baldur's Gate 1 and 2
  * Ballyhoo
  * Bargon Attack
  * Beavis and Butthead in Virtual Stupidity
  * The Bizarre Adventures of Woodruff and the Schnibble
  * The Black Cauldron
  * Blake Stone and Planet Strike
  * Blue Force
  * Border Zone
  * Castle of Dr. Brain and The Island of Dr. Brain
  * Broken Sword
  * Bureaucracy
  * Chex Quest and Chex Quest 2
  * Chivalry is Not Dead
  * Codename: ICEMAN
  * Commander Keen 4 to 6
  * Conquests of Camelot: The Search for the Grail
  * Conquests of the Longbow: The Legend of Robin Hood
  * Cruise for a Corpse
  * Cutthroats
  * Deadline
  * Descent 1 and 2
  * The Dig
  * Discworld 1 and 2
  * Doom, The Ultimate Doom, Doom 2, The Master Levels for Doom 2, Final Doom
  * Doom 3 and BFG Edition
  * Dračí Historie
  * Dreamweb
  * Duke Nukem 3D
  * Dune 2: Battle for Arrakis
  * EcoQuest 1 and 2
  * The Elder Scrolls 3: Morrowind
  * Elvira 1 and 2
  * Enchanter
  * Enclosure
  * Eye of the Beholder 1 and 2
  * The Feeble Files
  * Freddy Pharkas: Frontier Pharmacist
  * Freespace 2
  * Full Throttle
  * Future War (Les Voyageurs du Temps)
  * Gobliiins 1, 2 and 3
  * Gold Rush!
  * Grim Fandango
  * HacX
  * Hank's Quest
  * Heretic, Hexen and Hexen 2
  * Heroes of Might & Magic 3
  * The Hitchhiker's Guide to the Galaxy
  * Hollywood Hijinx
  * Hopkins FBI
  * Hoyle's Official Book of Games
  * Hugo's House of Horrors, Hugo 2, Hugo 3
  * Icewind Dale 1 and 2
  * Indiana Jones and the Fate of Atlantis
  * Infidel
  * Inherit the Earth
  * James Clavell's Shōgun
  * Jones in the Fast Lane
  * Journey: Part One of the Golden Age Trilogy
  * King's Quest 1 to 7
  * The Labyrinth of Time
  * Lands of Lore: The Throne of Chaos
  * Laura Bow 1 and 2
  * Leather Goddesses of Phobos 1 and 2
  * Legend of Kyrandiar 1, 2 and 3
  * Leisure Suit Larry 1, 2, 3, 5 and 6
  * LGeneral (Panzer General)
  * Lost in Time
  * The Lurking Horror
  * The Manhole
  * Manhunter 1 and 2
  * Maniac Mansion and Day of the Tentacle
  * Mixed-Up Mother Goose & Mixed-Up Fairy Tales
  * Monkey Island 1, 2 and 3
  * Moonmist
  * Mortville Manor
  * Myst: Masterpiece Edition
  * Mystery House
  * The Neverhood
  * Nippon Safes Inc.
  * Nord and Bert Couldn't Make Head or Tail of It
  * Once Upon A Time: Little Red Riding Hood
  * Pajama Sam series
  * Personal Nightmare
  * Planescape: Torment
  * Planetfall
  * Plundered Hearts
  * Police Quest 1 to 4
  * Quake, Quake 2, Quake 3 Arena, Quake 4, Enemy Territory: Quake Wars
  * Quest For Glory 1, 2 and 3
  * Rex Nebular and the Cosmic Gender Bender
  * Ringworld 1 and 2
  * Rise of the Triad
  * Rodney's Funscreen
  * Sam & Max Hit the Road
  * Seastalker
  * Sfinx
  * The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
  * The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
  * Sherlock: The Riddle of the Crown Jewels
  * Simon the Sorcerer 1, 2 and Puzzle Pack
  * Slater & Charlie Go Camping
  * Soltys
  * Sorcerer
  * Space Quest 1 to 6
  * Spellbreaker
  * Star Wars Jedi Knight 2: Jedi Outcast and Jedi Academy
  * Starcross
  * Stationfall
  * Strife
  * Suspect
  * Suspended
  * Syndicate
  * System Shock
  * Super 3D Noah's Ark
  * Theme Hospital
  * Tony Tough and the Night of Roasted Moths
  * Toonstruck
  * Touché: The Adventures of the Fifth Musketeer
  * Transport Tycoon Deluxe
  * Trinity
  * Troll's Tale
  * Tyrian
  * Ultima VII
  * Unreal, Unreal Gold and Unreal Tournament (1999)
  * Urban Runner
  * Ween: The Prophecy
  * Winnie the Pooh in the Hundred Acre Wood
  * Wishbringer
  * Witness
  * Wolfenstein 3D, Spear of Destiny and Return to Castle Wolfenstein
  * Wolfenstein: Enemy Territory
  * X-COM: UFO Defense
  * Zork 1, 2 and 3, Beyond Zork, Zork Zero, Return to Zork, Zork: The
    Undiscovered Underground
  * Zork Grand Inquisitor and Zork Nemesis

Package: etqw
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 etqw-bin | game-data-packager (>= 44),
 game-data-packager-runtime (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 etqw-pb-bin,
Description: science-fiction-themed multiplayer first person shooter
 Enemy Territory: Quake Wars is a multiplayer first-person shooter game
 by Splash Damage and id Software, released in 2007.
 This package contains a launcher script and menu entry to play
 ETQW using the proprietary x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: etqw-server
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 etqw-bin | game-data-packager (>= 44),
 etqw-data | game-data-packager (>= 44),
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 systemd-sysv,
Suggests:
 etqw-pb-bin,
Description: dedicated server for Enemy Territory: Quake Wars
 This package contains a launcher script and systemd unit to run a
 Enemy Territory: Quake Wars server using the proprietary
 x86 binaries provided by id Software.
 .
 Please note that the ETQW engine is not Free Software, and Debian
 cannot fix any bugs or security flaws in the engine or game code.
 .
 To mitigate any security flaws that might exist in this server,
 the systemd unit is not enabled by default, and must be enabled
 with systemctl if it should start at boot time. The systemd unit
 uses various security hardening options to prevent the server from
 escalating its privileges. There is no sysvinit script,
 since sysvinit does not provide similar security hardening.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 etqw-bin, and etqw-data.
 Creating those packages requires data files from an "Enemy Territory:
 Quake Wars" installation or DVD.

Package: game-data-packager-runtime
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gtk-3.0,
 gir1.2-pango-1.0,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 game-data-packager (<< 46~),
Replaces:
 game-data-packager (<< 46~),
Architecture: all
Multi-Arch: foreign
Description: Launcher for proprietary games
 Various games are divided into two logical parts: engine
 and data. Often the engine and data are licensed in
 different ways, such that the engine can be distributed
 in Debian but the data cannot.
 .
 Some of the games supported by game-data-packager need to be
 started by a special launcher script that will create symbolic
 links or do other setup. This package contains those launcher
 scripts.
 .
 The following games currently require this package:
 .
  * Doom 2: The Master Levels
  * Quake series
  * Unreal
  * Unreal Gold
  * Unreal Tournament

Package: quake
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine,
 ${misc:Depends},
Suggests:
 quake-armagon (>= 29),
 quake-armagon-music,
 quake-dissolution (>= 29),
 quake-dissolution-music,
 quake-dopa (>= 45),
 quake-music,
Description: classic gothic/horror-themed first person shooter
 Quake is a classic first-person shooter game by id Software,
 released in 1996. This package contains a launcher script and menu
 entry to play Quake with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.
 .
 Creating quake-registered requires data files from a Quake installation or
 CD-ROM.
 .
 Creating quake-shareware requires the shareware version of Quake.
 .
 game-data-packager (>= 45) can also produce packages for the official Episode
 5, Dimensions of the Past (developed by MachineGames to mark Quake's 20th
 anniversary), and for the official mission
 packs Scourge of Armagon (developed by Hipnotic Software) and Dissolution
 of Eternity (developed by Rogue Entertainment). Additional menu entries
 should appear automatically if those expansions are installed.

Package: quake-server
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 quake-registered | quake-shareware | game-data-packager,
 quakespasm | quake-engine-server,
 ${misc:Depends},
 ${python3:Depends},
Description: classic first person shooter - server and init script
 This package contains a launcher script and init script to run a
 Quake 1 server automatically, with any suitable engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake-registered or quake-shareware package, by using the
 game-data-packager package.

Package: quake2
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 game-data-packager-runtime (>= ${source:Version}),
 quake2-full-data | quake2-demo-data | game-data-packager (>= 34),
 yamagi-quake2 | quake2-engine,
 ${misc:Depends},
Suggests:
 quake2-groundzero,
 quake2-music,
 quake2-reckoning,
Recommends:
 game-data-packager (>= 39),
Description: classic science-fiction-themed first person shooter
 Quake II is a classic first-person shooter game by id Software,
 released in 1997. This package contains a launcher script and menu
 entry to play Quake II with any suitable engine.
 .
 To make this package useful, you will need to create and install some
 non-distributable packages by using the game-data-packager package:
 either quake2-full-data or quake2-demo-data. Creating quake2-full-data
 requires data files from a Quake II installation or CD-ROM.
 .

=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware integration
Depends: game-data-packager, make, python3-gi, zip
Restrictions: allow-stderr

## game-data-packager 65

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,9 @@
 
 png_from_xpm := $(patsubst ./data/%.xpm,./out/%.png,$(wildcard ./data/*.xpm))
 png_from_svg := $(patsubst ./data/%.svg,./out/%.png,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
-png       := $(png_from_xpm) $(png_from_svg) out/memento-mori.png
+png       := $(png_from_xpm) $(png_from_svg)
 simplified_svg := $(patsubst ./data/%.svg,./out/%.svg,$(filter-out ./data/quake1+2.svg,$(wildcard ./data/*.svg)))
-# We deliberately don't compress and install memento-mori{,-2}.svg because
-# they use features that aren't supported by librsvg, so they'd look wrong
-# in all GTK-based environments.
-svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(filter-out ./out/memento-mori-2.svg,$(simplified_svg)))
+svgz      := $(patsubst ./out/%.svg,./out/%.svgz,$(simplified_svg))
 in_yaml   := $(wildcard ./data/*.yaml)
 test_yaml   := $(wildcard ./tests/data/*.yaml)
 json_from_data := $(patsubst ./data/%.yaml,./out/vfs/%.json,$(in_yaml))
@@ -66,7 +63,7 @@
       $(copyright) $(dot_in) $(desktop) $(quake_icons) \
       $(json_from_tests) \
       out/bash_completion out/changelog.gz \
-      out/game-data-packager out/vfs.zip out/memento-mori-2.svg \
+      out/game-data-packager out/vfs.zip \
       out/tests/changelog.gz out/tests/vfs.zip out/tests/copyright
 
 configure.mk: configure game_data_packager/version.py
@@ -124,19 +121,13 @@
 	install run out/game-data-packager
 
 $(simplified_svg): out/%.svg: data/%.svg out/CACHEDIR.TAG
-	inkscape --export-plain-svg=$@ $<
-
-out/memento-mori.svg: data/memento-mori-2.svg out/CACHEDIR.TAG
-	inkscape --export-plain-svg=$@ --export-id=layer1 --export-id-only $<
-
-out/memento-mori.png: out/memento-mori.svg
-	inkscape --export-png=$@ -w96 -h96 $<
+	inkscape --export-plain-svg --export-filename=$@ $<
 
 $(png_from_xpm): out/%.png: data/%.xpm out/CACHEDIR.TAG
 	convert $< $@
 
 $(png_from_svg): out/%.png: data/%.svg out/CACHEDIR.TAG
-	inkscape --export-png=$@ -w96 -h96 $<
+	inkscape --export-filename=$@ -w 96 -h 96 $<
 
 $(svgz): out/%.svgz: out/%.svg
 	gzip -nc $< > $@
@@ -145,7 +136,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake.svg
 	rm -f out/tmp/quake.svg
 
@@ -153,7 +145,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake-256']" < $< > out/tmp/quake-$*.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake-$*.svg
 	rm -f out/tmp/quake-$*.svg
 
@@ -161,7 +154,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake2.svg
 	rm -f out/tmp/quake2.svg
 
@@ -169,7 +163,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake4-256']" < $< > out/tmp/quake4.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake4.svg
 	rm -f out/tmp/quake4.svg
 
@@ -177,7 +172,8 @@
 	xmlstarlet ed -d "//*[local-name() = 'g' and @inkscape:groupmode = 'layer' and @id != 'layer-quake2-256']" < $< > out/tmp/quake2-$*.svg
 	inkscape \
 		--export-area-page \
-		--export-plain-svg=$@ \
+		--export-plain-svg \
+		--export-filename=$@ \
 		out/tmp/quake2-$*.svg
 	rm -f out/tmp/quake2-$*.svg
 
@@ -266,7 +262,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake-armagon.png,$(quake_layer_sizes)): out/%/quake-armagon.png: out/tmp/recolour-armagon.svg out/CACHEDIR.TAG
@@ -277,7 +273,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake-dissolution.png,$(quake_layer_sizes)): out/%/quake-dissolution.png: out/tmp/recolour-dissolution.svg out/CACHEDIR.TAG
@@ -288,7 +284,7 @@
 		--export-height=$* \
 		--export-id=layer-quake-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2.png,$(quake_layer_sizes)): out/%/quake2.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -299,7 +295,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake4.png,16 22 32): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -310,7 +306,7 @@
 		--export-height=$* \
 		--export-id=layer-quake4-32 \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake4.png,48 256): out/%/quake4.png: data/quake1+2.svg out/CACHEDIR.TAG
@@ -321,7 +317,7 @@
 		--export-height=$* \
 		--export-id=layer-quake4-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2-reckoning.png,$(quake_layer_sizes)): out/%/quake2-reckoning.png: out/tmp/recolour-reckoning.svg out/CACHEDIR.TAG
@@ -332,7 +328,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(patsubst %,out/%/quake2-groundzero.png,$(quake_layer_sizes)): out/%/quake2-groundzero.png: out/tmp/recolour-groundzero.svg out/CACHEDIR.TAG
@@ -343,7 +339,7 @@
 		--export-height=$* \
 		--export-id=layer-quake2-$* \
 		--export-id-only \
-		--export-png=$@ \
+		--export-filename=$@ \
 		$<
 
 $(launcher_json): out/launch-%.json: out/launch-%.yaml
@@ -354,3 +350,14 @@
 
 clean:
 	rm -fr out
+	rm -rf game_data_packager/__pycache__
+	rm -rf game_data_packager/games/__pycache__
+	rm -rf game_data_packager/packaging/__pycache__
+	rm -rf game_data_packager/unpack/__pycache__
+	rm -rf tools/__pycache__
+
+distclean: clean
+	rm -f configure.mk config.status
+
+check-tests:
+	set -e; \

=== debian/changelog ===
game-data-packager (65) unstable; urgency=medium

  * New games:
    - Quest for Glory 4 (!12) [Chris Cromer]
  * New versions:
    - Doom 1: Sigil v1.2 and v1.21 (!3) [fabian]
    - Descent 2: Vertigo Series expansion (!8) [Ryan Armstrong]
    - The Dig: new GOG archives (!9) [Dmitry Eremin-Solenikov]
    - Simon the Sorcerer 1 and 2: new GOG archives (!11)
      [Dmitry Eremin-Solenikov]
    - Zak McKracken and the Alien Mindbenders: new GOG archive (!10)
      [Dmitry Eremin-Solenikov]
    - Quest for Glory 1 to 3: new GOG archives (!15) [Chris Cromer]
    - King's Quest 1 to 7: new GOG archives (!17) [Chris Cromer]
    - Space Quest 1 to 6: new GOG archives (!13) [Chris Cromer]
    - Police Quest 1 to 4: new GOG archives (!14) [Chris Cromer]
  * Bug fixes:
    - Doom games: Extract icons from WAD files using omgifol and PIL
      (!3) [fabian]
    - Doom 1: Attempt to properly split up the four available Sigil PWADs
      (!2) [fabian]
    - Spear of Destiny: Remove obsolete mirrors [adetiste]
  * Internal changes:
    - Declare compliance with Debian Policy 4.5.0 [smcv]
    - Build with Inkscape 1.0 (Closes: #959772) [adetiste]
    - Trim extraneous empty line from changelog [adetiste]
    - adding_a_game: Document the special handling of '?' [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 09:14:16 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  dh-apparmor,
  dh-python,
  imagemagick,
- inkscape,
+ inkscape (>= 1.0~),
  pyflakes3 | pyflakes (<< 1.1.0),
  python3,
  python3-debian,
@@ -24,7 +24,7 @@
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -56,6 +56,8 @@
  make,
  p7zip-full,
  python3-gi,
+ python3-omg,
+ python3-pil,
  steam,
  steamcmd,
  unace-nonfree,
@@ -401,5 +403,3 @@
  To make this package useful, you will need to create and install some
  non-distributable packages by using the game-data-packager package:
  either quake2-full-data or quake2-demo-data. Creating quake2-full-data
- requires data files from a Quake II installation or CD-ROM.
- .

## game-data-packager 67

=== debian/changelog ===
game-data-packager (67) unstable; urgency=medium

  * New games:
    - Blade Runner (GOG version) [skitt]
  * Internal changes:
    - quake3: Add pre-exported PNG versions of XCF icons to source code.
      xcftools is unmaintained and has security issues, so it is not
      suitable for stable Debian releases. (Closes: #982502) [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 08:32:26 +0000

game-data-packager (66) unstable; urgency=medium

  * New games:
    - Myst 2: Riven (Closes: #960850)
      [Frodo Looijaard, Ryan Armstrong]
    - Myst 3: Exile (Closes: #960851) [Frodo Looijaard]
  * New versions:
    - EcoQuest 1: CD-ROM version [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 3:
      add VGA version [Adam Robinson]
    - Jedi Knight II: new GOG.com archive [Jan Braun]
    - Myst: Ubisoft 10th Anniversary DVD release [Ryan Armstrong]
  * Bug fixes:
    - Hoyle's Official Book of Games: add ScummVM gameid so launchers work
      [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 1:
      don't package a configuration file containing the player's name
      [Adam Robinson]
    - doom_common: Defer warning about missing weak dependencies
      until use (Closes: #962393) [smcv]
  * Internal changes:
    - Update AppArmor profiles to use abstractions from 2.13.x.
      A suitable version is available in Debian 10 and Ubuntu 19.10.
      [smcv]
    - Update Lintian overrides [smcv]
    - Standards-Version: 4.5.1 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,10 @@
  python3,
  python3-debian,
  python3-yaml,
- xcftools,
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager
@@ -300,6 +299,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
+ apparmor (<< 2.13.2~),
  game-data-packager (<< 46~),
 Replaces:
  game-data-packager (<< 46~),

## game-data-packager 68

=== Makefile ===
--- 
+++ 
@@ -177,22 +177,13 @@
 		out/tmp/quake2-$*.svg
 	rm -f out/tmp/quake2-$*.svg
 
-out/256/quake3.png: data/quake3-tango.xcf out/CACHEDIR.TAG
+out/256/quake3.png: data/quake3-tango.png out/CACHEDIR.TAG
 	install -d out/256
-	# fallback, result is similar, yet different
-	if command -v xcf2png > /dev/null ; then \
-	  xcf2png -o $@ $< ;\
-	else \
-	  convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
-	fi
-
-out/256/quake3-team-arena.png: data/quake3-teamarena-tango.xcf out/CACHEDIR.TAG
+	install -m644 $< $@
+
+out/256/quake3-team-arena.png: data/quake3-teamarena-tango.png out/CACHEDIR.TAG
 	install -d out/256
-	if command -v xcf2png > /dev/null ; then \
-          xcf2png -o $@ $< ;\
-	else \
-          convert $< -background rgba\(0,0,0,0\) -layers merge $@ ;\
-	fi
+	install -m644 $< $@
 
 out/48/quake3.png: out/256/quake3.png out/CACHEDIR.TAG
 	install -d out/48
@@ -361,3 +352,11 @@
 
 check-tests:
 	set -e; \
+	for x in tests/*.py tools/check_equivalence.py tools/check_syntax.py; do \
+		case "$$x" in \
+			(*/__init__.py) \
+				continue;; \
+		esac; \
+		ln -sf ../../"$$x" debian/tests/"$$(basename "$${x%.py}" | tr _ -)"; \
+	done
+	LC_ALL=C.UTF-8 $(PYFLAKES3) game_data_packager/*.py game_data_packager/*/*.py runtime/*.py tests/*.py tools/*.py || :

=== debian/changelog ===
game-data-packager (68) unstable; urgency=medium

  * New games:
    - Commander Keen 1, 2, 3 & Keen Dreams [adetiste] (Closes: #786501)
  * New versions:
    - Heretic: GOG.com archive [Hans Joachim Desserud] (Closes: #990767)
    - Nippon Safes Inc. is now freeware, add download url. [adetiste]
    - Curse of Monkey Island: add Steam and GOG IDs [Dmitry Baryshkov]
    - Update quake2-reckoning-data (xatrix) to 2.09 and
      quake2-groundzero-data (rogue) to 2.08, corresponding to
      Yamagi Quake II version 8.00 [smcv]
  * Bug fixes:
    - Remove dead url to GOG.com Mix page [adetiste] (Closes: #963026)
    - Fix Steam mode compatibility with Python 3.9 [Adam Robinson]
  * Internal changes:
    - Use debhelper-compat 13 [adetiste]
    - d/control: Relax Python build-dependencies to :any [smcv]
  * Remove unnecessary Lintian override
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 01:01:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,19 +11,19 @@
 Build-Depends:
  bash-completion,
  dbus,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apparmor,
  dh-python,
  imagemagick,
  inkscape (>= 1.0~),
  pyflakes3 | pyflakes (<< 1.1.0),
- python3,
+ python3:any,
  python3-debian,
- python3-yaml,
+ python3-yaml:any,
  xmlstarlet,
  zip,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/games-team/game-data-packager.git
 Vcs-Browser: https://salsa.debian.org/games-team/game-data-packager
 Homepage: https://wiki.debian.org/Games/GameDataPackager

## game-data-packager 69

=== debian/changelog ===
game-data-packager (69) unstable; urgency=medium

  * New games:
    - King's Quest 1 VGA [Adam Robinson]
    - Space Quest 1 VGA [Adam Robinson]
    - Gabriel Knight 1 & 2 [Adam Robinson]
    - Phantasmagoria 1 & 2 [Adam Robinson]
    - Ultima IV [adetiste]
    - The Griffon Legend (freeware) [adetiste]
    - Operation Stealth [adetiste]
    - Master Of Orion [adetiste]
    - Gemini Rue [Dennis Menschel]
    - The Blackwell Legacy [Dennis Menschel]
    - Blackwell Unbound [Dennis Menschel]
    - The Blackwell Convergence [Dennis Menschel]
    - The Blackwell Deception [Dennis Menschel]
    - The Blackwell Epiphany [Dennis Menschel]
    - Resonance [Dennis Menschel]
    - Primordia [Dennis Menschel]
    - Shardlight [Dennis Menschel]
    - Technobabylon [Dennis Menschel]
    - The Shivah [Dennis Menschel]
    - A Golden Wake [Dennis Menschel]
    - Kathy Rain [Dennis Menschel]
    - Catacomb: Abyss [adetiste]
    - Little Big Adventure [Dennis Menschel]
    - Torin's Passage [Dennis Menschel]
    - Lighthouse: The Dark Being:
      - German version [Dennis Menschel]
      - French version [adetiste]
    - The Journeyman Project: Pegasus Prime [Dennis Menschel]
    - The Journeyman Project 2: Buried in Time [Dennis Menschel]
    - Starship Titanic [Dennis Menschel]
    - The Longest Journey:
      - English version [Dennis Menschel]
      - German version [Dennis Menschel]
  * New versions:
    - King's Quest Series: Add Steam IDs [Adam Robinson]
    - Police Quest Series: Add Steam IDs [Adam Robinson]
    - Space Quest Series: Add Steam IDs [Adam Robinson]
    - Quest for Glory Series: Add Steam IDs [Adam Robinson]
    - Return To Zork: support v1.1 and v1.2 [adetiste]
    - Return To Zork: new GOG.com archive [Patrick Menschel]
    - Eye of the Beholder: Spanish version
      (this requires current ScummVM >= 2.2.0) [adetiste]
    - Blade Runner English DVD release, W.I.P. [adetiste]
    - I Have No Mouth and I Must Scream: update GOG versions [skitt]
    - The 7th Guest: update GOG version [skitt]
    - Rise of the Triad: update GOG version [skitt]
    - The Secret of Monkey Island: German version 1.1 [Dennis Menschel]
    - Monkey Island 2: LeChuck's Revenge: alternative German version 1.0
      [Dennis Menschel]
    - Loom: German version 1.2 [Dennis Menschel]
    - Indiana Jones and the Last Crusade: German version 1.02
      [Dennis Menschel]
    - Zak McKracken and the Alien Mindbenders: German version
      [Dennis Menschel]
    - Broken Sword 1: German version [Dennis Menschel]
    - Broken Sword 1: GOG.com archive [Dennis Menschel]
    - Broken Sword 2: German version [Dennis Menschel]
    - Myst: Masterpiece Edition: German version [Dennis Menschel]
    - Leisure Suit Larry 7: German version [Dennis Menschel]
    - Flight of the Amazon Queen: all non-English versions [adetiste]
      (Closes: #783925)
    - Unreal Tournament (1999): update to patch 469b [Sébastien Noel]
  * Internal changes:
    - Switch build system to Meson [smcv]
    - Support multiple Steam paths [Adam Robinson]
    - Move ResidualVM games (Grim Fandango, Myst 3) to ScummVM [adetiste]
    - Improve support for crispy-doom engine [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 11:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  dh-python,
  imagemagick,
  inkscape (>= 1.0~),
+ meson (>= 0.56.0),
  pyflakes3 | pyflakes (<< 1.1.0),
  python3:any,
  python3-debian,
@@ -96,6 +97,7 @@
   * Beavis and Butthead in Virtual Stupidity
   * The Bizarre Adventures of Woodruff and the Schnibble
   * The Black Cauldron
+  * Blade Runner
   * Blake Stone and Planet Strike
   * Blue Force
   * Border Zone
@@ -131,8 +133,10 @@
   * Freespace 2
   * Full Throttle
   * Future War (Les Voyageurs du Temps)
+  * Gabriel Knight 1 and 2
   * Gobliiins 1, 2 and 3
   * Gold Rush!
+  * The Griffon Legend
   * Grim Fandango
   * HacX
   * Hank's Quest
@@ -167,7 +171,7 @@
   * Monkey Island 1, 2 and 3
   * Moonmist
   * Mortville Manor
-  * Myst: Masterpiece Edition
+  * Myst: Masterpiece Edition, Riven, Myst III
   * Mystery House
   * The Neverhood
   * Nippon Safes Inc.
@@ -175,6 +179,7 @@
   * Once Upon A Time: Little Red Riding Hood
   * Pajama Sam series
   * Personal Nightmare
+  * Phantasmagoria 1 and 2
   * Planescape: Torment
   * Planetfall
   * Plundered Hearts
@@ -214,7 +219,7 @@
   * Trinity
   * Troll's Tale
   * Tyrian
-  * Ultima VII
+  * Ultima IV & VII
   * Unreal, Unreal Gold and Unreal Tournament (1999)
   * Urban Runner
   * Ween: The Prophecy
@@ -401,5 +406,3 @@
  entry to play Quake II with any suitable engine.
  .
  To make this package useful, you will need to create and install some
- non-distributable packages by using the game-data-packager package:
- either quake2-full-data or quake2-demo-data. Creating quake2-full-data

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1
export DH_OPTIONS

include /usr/share/dpkg/pkg-info.mk

%:
	mkdir -p $(HOME)
	dh $@ --with python3,bash-completion --buildsystem=meson

# Redirect Inkscape log files, etc. to a temporary directory
export HOME = $(CURDIR)/debian/temp-home
export XDG_CACHE_HOME = $(CURDIR)/debian/temp-home/.cache
export XDG_CONFIG_HOME = $(CURDIR)/debian/temp-home/.config
export XDG_DATA_HOME = $(CURDIR)/debian/temp-home/.local/share
# Disable tests that are not appropriate at build-time
export DEB_BUILD_TIME_TESTS = 1

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		--bindir=games \
		--libdir=lib \
		-Dgamedatadir=share/games \
		$(NULL)

override_dh_auto_build:
	dbus-run-session -- dh_auto_build \
		-- \
		$(NULL)

override_dh_auto_install:
	dh_auto_install \
		-- \
		$(NULL)

override_dh_auto_clean:
	dh_auto_clean
	@if [ "`echo *.deb`" != "*.deb" ]; then \
		echo; \
		echo "*************************************************"; \
		echo "Cannot create source package with these here:"; \
		ls *.deb; \
		echo "*************************************************"; \
		echo; \
		exit 1; \
	fi
	debian/copyright.py

override_dh_install:
	dh_install
	if dpkg-vendor --derives-from Ubuntu; then \
		install -d debian/game-data-packager/usr/share/games/game-data-packager; \
		touch debian/game-data-packager/usr/share/games/game-data-packager/is-ubuntu-derived; \
	fi
	dh_apparmor -pgame-data-packager-runtime --profile-name=usr.lib.unreal
	dh_apparmor -pquake4 --profile-name=usr.lib.quake4.quake4.x86
	dh_apparmor -pquake4-server --profile-name=usr.lib.quake4.q4ded.x86

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdocs:
	dh_installdocs -XTODO

override_dh_installsystemd:
	dh_installsystemd -pquake4-server --no-enable --no-start
	dh_installsystemd -petqw-server --no-enable --no-start
	dh_installsystemd --remaining-packages

override_dh_python3:
	dh_python3
	dh_python3 -pquake-server /usr/share/games/quake
	dh_python3 -pquake2-server /usr/share/games/quake2
	dh_python3 -pquake3-server /usr/share/games/quake3
	dh_python3 -pquake4-server /usr/share/games/quake4
	dh_python3 -petqw-server /usr/lib/etqw

=== debian/tests/control ===
Tests: check-equivalence
Depends: game-data-packager
Restrictions: allow-stderr, x-gdp-memory-hungry

Tests: check-syntax deb hashed-file rpm umod
Depends: game-data-packager
Restrictions: allow-stderr

Tests: download-shareware
Depends: game-data-packager
Restrictions: allow-stderr, needs-internet

Tests: integration
Depends: @builddeps@, game-data-packager, python3-gi, zip
Restrictions: allow-stderr, needs-build
